---
layout: mockup
title: "Trusted Devices"
theme: Adwaita/Adwaita.css
permalink: settings/privacy/devices
wallpaper: adwaita
category: "Privacy"
---

<!-- css -->
<link rel="stylesheet" type="text/css" href="{{ site.baseurl }}/css/Adwaita/apps/settings.css">

{%- include widgets/_panel.html -%}

<!-- Window -->
<div class="window medium">
	<!-- Titlebar -->
	<div class="titlebar paned">
		<div class="button-group pane float-left">
			<a class="button image-button secondaryButton" href="{{ site.baseurl }}/settings/privacy-root">{%- include symbolic/actions/go-previous-symbolic.svg -%}</a>
			<a class="button image-button primaryButton" href="{{ site.baseurl }}/settings/network">{%- include symbolic/actions/go-previous-symbolic.svg -%}</a>
			<span class="title">Privacy & Security</span>
		</div>
		<!-- Title -->
		<div class="title-group">
			<span class="title">{{ page.title }}</span>
		</div>
		<div class="button-group float-right">
			{%- include components/close-button.html close = "window" -%}
		</div>
	</div>
	<!-- Content -->
	<div class="content">
		<!-- Sidebar -->
		<ul id="settingsPrivacySidebar" class="sidebar">
		{%- for item in site.data.settings-privacy-sidebar -%}<a href="{{ site.baseurl }}/settings{{ item.link }}"><li>{%- include symbolic/{{ item.icon }}-symbolic.svg -%}<span>{{ item.title }}</span></li></a>{%- if item.has-separator == true -%}<div class="separator"></div>{%- endif -%}{%- endfor -%}
		</ul>
		<!-- View -->
		<div class="view">
			<div class="row">
				<p>Let applications make use of external devices that you have already connected to this computer.</p>
				<ul class="listrow">
					<li class="medium">
						<div class="label-group">
							<label>Direct Access</label>
							<label class="small-label dim-label">Allow direct access to devices such as docks & external GPUs.</label>
						</div>
						{%- include components/switch.html float = "right" checked="checked" id="" id = "devicesDirectAccessSwitch" -%}
					</li>
				</ul>
			</div>
			<div class="row">
				<h4>Devices</h4>
				<ul class="listrow">
					<li class="" id="revokeUntrustedDevice" onclick="$('#removeUntrustedDeviceDialog').show();">
						<div class="icon s16">{%- include symbolic/devices/thunderbolt-symbolic.svg -%}</div>
						<label>Thunderbolt 3 Dock</label>
						{%- include components/listrow-link-icon.html -%}
						<label class="float-right warning-label"><div class="icon s16">{%- include symbolic/status/dialog-warning-symbolic.svg -%}</div>Unauthorized</label>
					</li>
					<li class="" id="revokeDevice1" onclick="$('#removeTrustedDeviceDialog').show();">
						<div class="icon s16">{%- include symbolic/devices/media-removable-symbolic.svg -%}</div>
						<label>Suspicious Dongle</label>
						{%- include components/listrow-link-icon.html -%}
						<label class="float-right dim-label">Disconnected</label>
					</li>
					<li class="" id="revokeDevice2" onclick="$('#removeTrustedDeviceDialog').show();">
						<div class="icon s16">{%- include symbolic/devices/printer-symbolic.svg -%}</div>
						<label>Canon&reg; Inkjet MG4000s-I</label>
						{%- include components/listrow-link-icon.html -%}
						<label class="float-right dim-label">Connected</label>
					</li>
					<li class="" id="revokeDevice2" onclick="$('#removeTrustedDeviceDialog').show();">
						<div class="icon s16">{%- include symbolic/devices/media-flash-symbolic.svg -%}</div>
						<label>SanDisk&reg; SDHC&trade; SDUNC-024</label>
						{%- include components/listrow-link-icon.html -%}
						<label class="float-right dim-label">Connected</label>
					</li>
				</ul>
			</div>
			<div id="devicePermissions" class="row">
				<h4>Device Access</h4>
				<p>Allow the applications below to use your trusted devices.</p>
				<ul class="listrow">
					<li onclick="toggleChecked('#devicesAppSwitch1');">
						<img class="icon s32 vector" src="{{ site.baseurl }}/img/icons/scalable/apps/org.gnome.Builder.svg">
						<label>Builder</label>
						{%- include components/switch.html float = "right" checked = "checked" id = "devicesAppSwitch1" -%}
					</li>
					<li onclick="toggleChecked('#devicesAppSwitch2');">
						<img class="icon s32 vector" src="{{ site.baseurl }}/img/icons/scalable/apps/org.gnome.Nautilus.svg">
						<label>Files</label>
						{%- include components/switch.html float = "right" checked = "checked" id = "devicesAppSwitch2" -%}
					</li>
					<li onclick="toggleChecked('#devicesAppSwitch3');">
						<img class="icon s32 vector" src="{{ site.baseurl }}/img/icons/scalable/apps/org.gnome.Photos.svg">
						<label>Photos</label>
						{%- include components/switch.html float = "right" checked = "checked" id = "devicesAppSwitch3" -%}
					</li>
				</ul>
			</div>
		</div>
	</div>
	<!-- Remove Device Dialog -->
	<div class="gtkdialog" id="removeTrustedDeviceDialog">
		<div class="gtkdialog-window">
			<div class="titlebar grouped">
				<div class="button-group float-left">
					<a class="button image-button secondaryButton" onclick="$('#removeTrustedDeviceDialog').hide();">{%- include symbolic/actions/go-previous-symbolic.svg -%}</a>
					<a class="button text-button hide-on-mobile" onclick="$('#removeTrustedDeviceDialog').hide();">Cancel</a>
				</div>
				<div class="title-group">
					<span class="title">Remove Device</span>
				</div>
				<div class="button-group float-right">
					<a class="button text-button destructive-action" onclick="$('#removeTrustedDeviceDialog').hide();">Remove</a>
				</div>
			</div>
			<div class="gtkdialog-content">
				<div class="row">
					<p>Record of this device will be removed, you will have to re-authorize it to be able to use it again.</p>
					<ul class="listrow nohover">
						<li>
							<label>Name</label>
							<label class="float-right dim-label">Device Name</label>
						</li>
						<li class="medium">
							<div class="label-group">
								<label>Connected</label>
								<label class="small-label dim-label">September 20, 2019 10:19:09</label>
							</div>
							<label class="float-right info-label">Yes</label>
						</li>
						<li class="medium">
							<div class="label-group">
								<label>Authorized</label>
								<label class="small-label dim-label">September 20, 2019 10:23:23</label>
							</div>
							<label class="float-right info-label">Yes</label>
						</li>
					</ul>
				</div>
			</div>
		</div>
	</div>
	<!-- Remove Device Dialog -->
	<div class="gtkdialog" id="removeUntrustedDeviceDialog">
		<div class="gtkdialog-window">
			<div class="titlebar grouped">
				<div class="button-group float-left">
					<a class="button image-button secondaryButton" onclick="$('#removeUntrustedDeviceDialog').hide();">{%- include symbolic/actions/go-previous-symbolic.svg -%}</a>
					<a class="button text-button hide-on-mobile" onclick="$('#removeUntrustedDeviceDialog').hide();">Cancel</a>
				</div>
				<div class="title-group">
					<span class="title">Authorize Device</span>
				</div>
				<div class="button-group float-right">
					<a class="button text-button suggested-action" onclick="$('#removeUntrustedDeviceDialog').hide();">Authorize</a>
				</div>
			</div>
			<div class="gtkdialog-content">
				<div class="row">
					<p>In order to use this connected device it must be authorized.</p>
					<ul class="listrow nohover">
						<li>
							<label>Name</label>
							<label class="float-right dim-label">Device Name</label>
						</li>
						<li class="medium">
							<div class="label-group">
								<label>Connected</label>
								<label class="small-label dim-label">September 21, 2019 14:27:45</label>
							</div>
							<label class="float-right info-label">Yes</label>
						</li>
						<li>
							<label>Authorized</label>
							<label class="float-right warning-label"><div class="icon s16">{%- include symbolic/status/dialog-warning-symbolic.svg -%}</div> No</label>
						</li>
					</ul>
				</div>
			</div>
		</div>
	</div>
</div>

<!-- js -->
<script type="text/javascript">
$(document).ready(function() {$('#settingsPrivacySidebar a:nth-of-type(5) li').addClass("active");});
</script>